create_circle#
- Modeler2D.create_circle(position, radius, num_sides=0, is_covered=True, name=None, matname=None, non_model=False)[source]#
Create a circle.
- Parameters:
- position
list
ApplicationName.modeler.Position(x,y,z) object
- radius
float
Radius of the object.
- num_sides
int
,optional
Number of sides. The default is
0
, which is correct for a circle.- is_coveredbool
Specify whether the ellipse is a sheet (covered) or a line object
- name
str
,optional
Name of the object. The default is
None
. IfNone
, a unique name"NewObject_xxxxxx"
will be assigned)- matname
str
,optional
Name of the material. The default is
None
. IfNone
, the default material is assigned.- non_modelbool,
optional
Either to create the new object as model or non-model. The default is
False
.
- position
- Returns:
pyaedt.modeler.cad.object3d.Object3d
3D object.
References
>>> oEditor.CreateCircle
Examples
>>> circle1 = aedtapp.modeler.create_circle([0, -2, -2], 3) >>> circle2 = aedtapp.modeler.create_circle(position=[0, -2, -2], radius=3, num_sides=6, ... name="MyCircle", matname="Copper")